<?php
$add_css="
<style>
label{width:300px}
input[type=password]{width:180px;}


  /* tooltip styling */
  .tooltip {
    display:none;
    background:#fff;
    padding:35px;
	opacity:0.96;
	border-radius:4px;
	border:2px solid #777;
	font-size:0.8em;
	box-shadow:0 0 4px #555;
	}
 
  /* a .label element inside tooltip */
  .tooltip .label {
  }
 
  .tooltip a {
  }

  .tooltip a.close-tooltip {
		position:absolute;
		top:0;
		right:0;
		background-color:#777;
		color:#fff !important;
		display:inline-block;
		padding:4px 8px;
		border-radius: 0 1px 0 2px;
  }

  .tooltip a.close-tooltip:hover {
	background:#333;
	text-decoration:none !important;
}
 
 .tooltip-trigger label{width:200px;text-align:left;}

.tooltip input[type='submit']{margin-left:10px;padding:2px 4px;border-radius:2px}
</style>
";

require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head.php');
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/sidebar-eleve.php');

$sql_eleve = dbquery("SELECT * FROM auditeurs WHERE id='".$_SESSION['user']['id']."'");

if (dbnumrows($sql_eleve) > 0)	{

// NOM

	$_DATA[0]['prenom']					= dbresult_utf8($sql_eleve,0,"prenom");
	$_DATA[0]['nom_patronyme']			= dbresult_utf8($sql_eleve,0,"nom_patronyme");
	$_DATA[0]['nom_marital']			= dbresult_utf8($sql_eleve,0,"nom_marital");
	$_DATA[0]['date_inscription']		= dbresult_utf8($sql_eleve,0,"date_inscription");

$data = "<h1>".$_DATA[0]['prenom']." ".strtoupper($_DATA[0]['nom_patronyme'])." ".strtoupper($_DATA[0]['nom_marital'])."</h1>";

// COORDONNEES&INFOS PERSONNELLES
	
	$_TITLE[1] = "Coordonnées";

	$_DATA[1]['adresse']				= dbresult_utf8($sql_eleve,0,"adresse");
	$_DATA[1]['code_postal']			= dbresult_utf8($sql_eleve,0,"code_postal");
	$_DATA[1]['commune']				= dbresult_utf8($sql_eleve,0,"commune");
	$_DATA[1]['tel_etudiant']			= dbresult_utf8($sql_eleve,0,"tel_etudiant");
	$_DATA[1]['gsm_etudiant']			= dbresult_utf8($sql_eleve,0,"gsm_etudiant");
	$_DATA[1]['email_auditeur']			= dbresult_utf8($sql_eleve,0,"email_auditeur");

	$_DATA['label']['adresse']			= "Adresse";
	$_DATA['label']['code_postal']		= "Code postal";
	$_DATA['label']['commune']			= "Commune";
	$_DATA['label']['tel_etudiant']		= "Fixe";
	$_DATA['label']['gsm_etudiant']		= "Mobile";
	$_DATA['label']['email_auditeur']	= "E-mail";

	$_DATA['type']['adresse']			= "adresse";
	$_DATA['type']['code_postal']		= "code_postal";
	$_DATA['type']['commune']			= "upper_text";
	$_DATA['type']['tel_etudiant']		= "tel";
	$_DATA['type']['gsm_etudiant']		= "tel";
	$_DATA['type']['email_auditeur']	= "email";

	$_DATA['required']['adresse']			= 1;
	$_DATA['required']['code_postal']		= 1;
	$_DATA['required']['commune']			= 1;
	$_DATA['required']['email_auditeur']	= 1;


// SITUATION PROFESSIONNELLE&INFORMATIONS ENTREPRISES
	
	$_TITLE[2] = "Situation professionnelle & Informations entreprises";

	$_DATA[2]['profession']						= dbresult_utf8($sql_eleve,0,"profession");
	$_DATA[2]['fonction']						= dbresult_utf8($sql_eleve,0,"fonction");
	$_DATA[2]['nom_entreprise']					= dbresult_utf8($sql_eleve,0,"nom_entreprise");
	$_DATA[2]['adresse_entreprise']				= dbresult_utf8($sql_eleve,0,"adresse_entreprise");
	$_DATA[2]['code_postal_entreprise']			= dbresult_utf8($sql_eleve,0,"code_postal_entreprise");
	$_DATA[2]['commune_entreprise']				= dbresult_utf8($sql_eleve,0,"commune_entreprise");
	$_DATA[2]['representant']					= dbresult_utf8($sql_eleve,0,"representant");
	$_DATA[2]['tel_entreprise']					= dbresult_utf8($sql_eleve,0,"tel_entreprise");
	$_DATA[2]['fax_entreprise']					= dbresult_utf8($sql_eleve,0,"fax_entreprise");
	$_DATA[2]['email_entreprise']				= dbresult_utf8($sql_eleve,0,"email_entreprise");
	$_DATA[2]['secteur_activite']				= dbresult_utf8($sql_eleve,0,"secteur_activite");

	$_DATA['label']['profession']				= "Profession";
	$_DATA['label']['fonction']					= "Fonction";
	$_DATA['label']['nom_entreprise']			= "Nom de l'entreprise";
	$_DATA['label']['adresse_entreprise']		= "Adresse de l'entreprise";
	$_DATA['label']['code_postal_entreprise']	= "Code postal";
	$_DATA['label']['commune_entreprise']		= "Commune";
	$_DATA['label']['representant']				= "Représentant";
	$_DATA['label']['tel_entreprise']			= "Fixe";
	$_DATA['label']['fax_entreprise']			= "Fax";
	$_DATA['label']['email_entreprise']			= "E-mail";
	$_DATA['label']['secteur_activite']			= "Secteur d'activité";

	$_DATA['type']['profession']				= "text";
	$_DATA['type']['fonction']					= "text";
	$_DATA['type']['nom_entreprise']			= "text";
	$_DATA['type']['adresse_entreprise']		= "adresse";
	$_DATA['type']['code_postal_entreprise']	= "code_postal";
	$_DATA['type']['commune_entreprise']		= "upper_text";
	$_DATA['type']['representant']				= "text";
	$_DATA['type']['tel_entreprise']			= "tel";
	$_DATA['type']['fax_entreprise']			= "tel";
	$_DATA['type']['email_entreprise']			= "mail";
	$_DATA['type']['secteur_activite']			= "select";


		
	for($i=1;$i<3;$i++){

		$data .= "<h1>".$_TITLE[$i]."<h1/>";

		foreach($_DATA[$i] as $key => $value){

		require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/form_settings.php');
		
		// POP UP
			$data .= '
				<a class="tooltip-trigger" id="tip_'.$key.'"><label>'.$_DATA['label'][$key].' : </label>'.$value.'</a>
				<div class="tooltip">
					<a class="close-tooltip" rel="tip_'.$key.'">x</a>
					<form action="infos_update.php" method="POST" class="valid_form">
						<input type="hidden" name="'.$key.'_type" value="'.$_DATA['type'][$key].'"/>'.$field.'<input type="submit" value="OK" class="bg-red"/>
					</form>
				</div>
				<br><br>
			';
		}
	}
}
?>

	<ul class="tabs" style="display:none">
	  <li><a href="#1">Menu</a></li>
	  <li><a href="#2">Coordonnées&Informations personnelles</a></li>
	  <li><a href="#3">Mes UE</a></li>
	  <li><a href="#4">Modif mot de passe</a></li>

	</ul>
	 
	<div class="panes">

<!-- 1 * MENU-->
		<div>
			<div class="tab-content submenu">
				<div class="bloc bloc-img-1x2" style="background:url(/espace_personnel/images/mon-dossier.jpg)" alt="Mon dossier"></div>
				<a class="bloc bloc-small bg-light" href="#2"><p><span>Mes coordonnées &<br>infos personnelles</span></p></a>
				<a class="bloc bloc-small bg-light" href="#3"><p><span>Mes unités d'enseignement<br>2013-2014</span></p></a>
				<a class="bloc bloc-small bg-red" href="#4"><p><span>Modifier mon mot de passe</span></p></a>
			</div>
		</div>

<!-- 2 * COORDONNÉES&INFORMATIONS PERSONNELLES-->
		<div>
			<?php require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php');?>
			<div class="tab-content">
				<?php echo $data;?>
			</div>
		</div>

<!-- 3 * MES UE-->
		<div>
			<?php require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php'); ?>
			<div class="tab-content">


			<?php
				echo $annee_universitaire."<br><br>";

				$sql_auditeur = dbquery("SELECT * FROM auditeurs_diplomes WHERE id='".$_SESSION["user"]["id"]."' AND annee_universitaire='".$annee_universitaire."' "); // provisoire

				$_id_auditeur = Array();

				for($i=0;$i<dbnumrows($sql_auditeur);$i++){
					$id					= dbresult_utf8($sql_auditeur,$i,"id_auditeur");
					$id_diplome			= dbresult_utf8($sql_auditeur,$i,"id_diplome");
					$date_inscription	= dbresult_utf8($sql_auditeur,0,"date_inscription");

					$_id_auditeur[$id]=$id_diplome;
					//echo $id."<br>";
				}

				// PLANNING

				if(dbnumrows($sql_auditeur)==0){
					echo "Aucun examen prévu";
				}
				else{
					foreach($_id_auditeur as $key => $value){
						
					// diplomes
						$sql_diplome = dbquery("SELECT * FROM diplomes WHERE id_diplome = '".$value."' ");
						
						$titre		= dbresult_utf8($sql_diplome,0,"titre");
						$specialite	= dbresult_utf8($sql_diplome,0,"specialite");
						
						if($value == 2001 )		$titre = "Unités d'enseignement hors diplômes";

						echo '
							<h2>'.$titre.'&nbsp&nbsp&nbsp<span class="red">'.$specialite.'</span></h2>
							<span class="smaller">Numéro d\'auditeur : <span class="red">'.$id.'</span>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp Date d\'inscription : '.date_iso_fr($date_inscription).'</span><br><br>
							<table>
								<tr class="align-center">
									<th class="align-left">Unités d\'enseignement</th>
									<th>Semestre</th>
									<th>Crédits<br>ECTS</th>
									<th><span title="\'Non\' signifie que l\'enseignement est dispensé par votre centre d\'inscription (La Réunion)">FOD</span></th>
									<th>Centre<br>organisateur</th>
									<th>Compte<br>Plei@d</th>
								</tr>
						';
						
					// ue
						$sql_ue = dbquery("SELECT * FROM auditeurs_ue,ue,ue_annee_universitaire
										WHERE ue_annee_universitaire.id_ue = auditeurs_ue.id_ue
											AND ue_annee_universitaire.annee_universitaire = auditeurs_ue.annee_universitaire
											AND	auditeurs_ue.id_auditeur = '".$key."'
											AND	auditeurs_ue.id_ue = ue.id_ue
										GROUP BY ue.id_ue
											
								");
						
						//echo "nb ue : ".dbnumrows($sql_ue);

						for($i=0;$i<dbnumrows($sql_ue);$i++){
							$id_ue			= dbresult_utf8($sql_ue,$i,"id_ue");
							$intitule		= dbresult_utf8($sql_ue,$i,"intitule");
							$credits		= dbresult_utf8($sql_ue,$i,"credits_ects");
							$semestre		= dbresult_utf8($sql_ue,$i,"ue_annee_universitaire.semestre");
							$validation		= dbresult_utf8($sql_ue,$i,"validation");

							
					
							
							if($semestre == 0)	$semestre = "Annuel";
							
							$sql_fod		=  dbquery("SELECT * FROM auditeurs_ue WHERE id_auditeur = '".$key."' 
															AND annee_universitaire = '2012-2013xxxxxxxxx' 
															AND id_centre_enseignement <> 'NULL' 
															AND id_ue = '".$id_ue."' ");
							
							if(dbnumrows($sql_fod)>0){
								$fod		= "Oui";
								$id_centre	= dbresult_utf8($sql_fod,0,"id_centre_enseignement");
								$sql_centre = dbquery("SELECT * FROM centres_enseignement WHERE id_centre_enseignement = '".$id_centre."'");
								$centre		= dbresult_utf8($sql_centre,0,"nom");
								
								if($validation=='O'){
									$pleiad = "<span class='red'>Inactif</span>";
								}
								elseif($validation=='V'){
									$pleiad = "Abandon";
								}
								elseif($validation=='J'){
									$pleiad = "-";
								}
							}

							else{
								$fod="Non";
								$centre="La Réunion";

								if($validation==''){
									$pleiad = "<span class='green'>Actif</span>";
								}
								elseif($validation=='V'){
									$pleiad = "Abandon";
								}
								else{
									$pleiad = "<span class='red'>Inactif</span>";
								}
							}
							
							if(preg_match('/UA/',$id_ue)){$pleiad = "-";}
							// ECRITURE LIGNE

							echo '
								<tr class="align-center">
									<td class="align-left"><span class="red">'.$id_ue.'</span><br>'.$intitule.'</td>
									<td>'.$semestre.'</td>
									<td>'.$credits.'</td>
									<td>'.$fod.'</td>
									<td>'.$centre.'</td>
									<td>'.$pleiad.'</td>
								</tr>		
							';
						}	
					}
				}

				?>
				</table>
			</div>
		</div>

<!-- 4 * MODIF MOT DE PASSE-->
		<div>
			<?php require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php'); ?>
			<div class="message" style="display:inline-block;margin-left:20px;font-size:0.9em;">
			<?php
			if(isset($_GET['error']))	echo '<span class="red" style="text-decoration:underline;">'.$_GET['error'].'</span>';
			elseif(isset($_GET['msg']))	echo '<span class="green" style="text-decoration:underline;">'.$_GET['msg'].'</span>';
			?>
			</div>
			<div class="tab-content">
			
			<div class="alert">
			<p>
			<b><span class="red">IMPORTANT : </span>A votre inscription, il vous a été fourni des identifiants pour accéder à votre espace personnel. Vous pouvez modifiez votre mot de passe avec le formulaire suivant.</b>
			<br><br>
			Votre nouveau mot de passe doit comporter au minimum 8 caractères.<br>
			Sont seulement autorisés les caractères alphanumériques : a-z ; A-Z ; 0-9 ;
			</p>
			</div>

			<form action="pass_update.php" method="POST">
				<label for="current_pass">Votre mot de passe actuel : </label><input type="password" name="current_pass" id="current_pass"/><br><br>
				<label for="new_pass">Votre nouveau mot de passe : </label><input type="password" name="new_pass" id="new_pass"/><br><br>
				<label for="new_pass_confirm">Confirmez votre nouveau mot de passe : </label><input type="password" name="new_pass_confirm" id="new_pass_confirm"/><br><br>
				<input type="submit" class="bloc bloc-small bg-red float-right" value="Valider" />
			</form>
			</div>
		</div>
	</div>
</div>

<script>
	$(".valid_form").validator(
		position: 'top left',
		offset: [-12, 0],
		message: '<div><em/></div>' 
	);
</script>

<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/end.php');
?>